PDFEmbeddedFiles (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.pdf

## Class PDFEmbeddedFiles

- java.lang.Object
- - org.apache.fop.pdf.PDFObject
  - - org.apache.fop.pdf.PDFDictionary
    - - org.apache.fop.pdf.PDFNameTreeNode
      - - org.apache.fop.pdf.PDFEmbeddedFiles

- All Implemented Interfaces:
    PDFWritable

      public class PDFEmbeddedFiles
      extends PDFNameTreeNode

  Class representing an /EmbeddedFiles dictionary object (name tree).

- - ### Field Summary

    - ### Fields inherited from class org.apache.fop.pdf.PDFDictionary

      `entries, order`

    - ### Fields inherited from class org.apache.fop.pdf.PDFObject

      `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PDFEmbeddedFiles()` Create a /EmbeddedFiles dictionary.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `writeDictionary(OutputStream out, StringBuilder textBuffer)` Writes the contents of the dictionary to a StringBuffer.

    - ### Methods inherited from class org.apache.fop.pdf.PDFNameTreeNode

      `getKids, getLowerLimit, getNames, getUpperLimit, setKids, setLowerLimit, setNames, setUpperLimit`

    - ### Methods inherited from class org.apache.fop.pdf.PDFDictionary

      `containsKey, get, getChildren, getChildren, keySet, output, put, put, remove`

    - ### Methods inherited from class org.apache.fop.pdf.PDFObject

      `contentEquals, encode, encodeBinaryToHexString, encodeString, encodeText, formatObject, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, outputInline, referencePDF, setDocument, setObjectNumber, setObjectNumber, setObjectNumber, setParent, supportsObjectStream, toPDF, toPDFString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PDFEmbeddedFiles

          public PDFEmbeddedFiles()

      Create a /EmbeddedFiles dictionary.

  - ### Method Detail

    - #### writeDictionary

          protected void writeDictionary(OutputStream out,
                                         StringBuilder textBuffer)
                                  throws IOException

      Writes the contents of the dictionary to a StringBuffer.
      Overrides:
        `writeDictionary` in class `PDFDictionary`
      Parameters:
        `out` - the OutputStream (for binary content)
        `textBuffer` - the text buffer for text output
      Throws:
        `IOException` - if an I/O error occurs

Copyright © 2025 Apache Software Foundation. All rights reserved.